import 'package:get/get.dart';

mixin StepGenDerLogic {
  final tag = "StepGenDerLogic";

  final RxnInt _currentGender = RxnInt(null);

  int? get currentGender => _currentGender.value;

  changeGender(int genderValue) {
    _currentGender.value =
        _currentGender.value == genderValue
            ? (genderValue == 1 ? 2 : 1)
            : genderValue;
  }
}
